Automate populating the TFTP directory
03/14/2010 09:52 AM - Paul Kelly

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: TFTP

Target version: 0.1-6

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The media objects describe the boot files that are required.

Provide a mechanism for populating the /tftp directory with pxelinux.0, etc

Related issues:

Blocked by Foreman - Feature #177: Add an Operatingsystem Family concept Closed 03/11/2010
Blocked by Foreman - Refactor #260: Switch family implemetation to use STI Closed 05/21/2010
Follows Foreman - Feature #144: Media objects should also store their boot an... Closed 12/27/2009
Precedes Foreman - Feature #62: Add a Generic DHCP library Closed 03/15/2010 03/15/2010
Associated revisions
Revision 0f77¢7f2 - 10/24/2010 01:12 PM - Ohad Levy
Fixes #178 and Fixes #24 - Automate populating the TFTP directory
This implementation is only for the Red Hat family, other OS's should follow
It implements a way to query foreman and gets the required boot files (i.e. kernel and initrd) files
from a predefine media over JSON.
it also provides a syslinux pxe configuration file based on those values and potentially other settings define via foreman.
History
#1 - 03/14/2010 09:54 AM - Paul Kelly
- Status changed from New to Ready For Testing
A rake task tftp:populate has been provided.
An acion link on the medias page has been provided.
code is available on the new_iscdhcp_from_edge branch on my github
#2 - 05/06/2010 02:09 PM - Paul Kelly
- Branch set to feature/178-populate-tftp
Rebased on develop.
All tests working.
Whitespace beaten into submission
#3 - 05/26/2010 04:07 PM - Paul Kelly
Rebased on develop
Converted javascript to cope with many-to-many operatingsystems. Ouch!
All tests pass
#4 - 05/27/2010 04:11 PM - Paul Kelly
Addressed points highlighted in last commit by Ohad. (Especially the very dumb one.)
The curb gem is no longer required, but not having it disables the feature, after saying this in the log.
#5 - 05/28/2010 11:00 AM - Paul Kelly

Rebased against develop
minor fixes

#6 - 05/30/2010 05:04 PM - Ohad Levy

- Subject changed from Automate populating the DHCP directory to Automate populating the TFTP directory

- Target version set to 0.1-6

#7 - 09/10/2010 10:49 AM - Paul Kelly

Rebased against version with STI families.
Minor fixes and visual improvements
Tested

#8 - 09/20/2010 10:54 AM - Paul Kelly

rebased
tested
Also contains the commit for #144 - media contains bootinfo

#9 - 09/28/2010 03:08 PM - Paul Kelly

rebased, tested and reposted

#10 - 09/30/2010 04:43 PM - Paul Kelly

The "download tftp boot files" link is greyed out if the media does not contain an OS that supports tftp downloads.

The "populate" functions interrogate the OS/family to see if it supports the required functionality

#11 - 10/17/2010 09:11 AM - Ohad Levy
- File 0001-Fixes-178-Automate-populating-the-TF TP-directory.patch added
- Status changed from Ready For Testing to Feedback

Paul,

I've taken a difference approch on this feature, as eventually, the media populating itself should not be done via foreman directly - it should be the tfp

server which should request the media files.

in the scenario of one Foreman server, and many tftp servers across the internet/WAN, it does not make sense to foreman to fetch the files.

Attached is my first step solution to the problem, please review and feedback.
Ohad

#12 - 10/17/2010 02:09 PM - Jochen Schalanda
- File 0001-Added-support-for-Debian-based-distributions-for-aut.patch added

Hi,

based on Ohad's patch I've added support for Debian-based distributions which basically consists of adding the template file for pxelinux and

implementing the Debian#boot_files_uri method in the Debian OS family class.

Cheers,
Jochen

#13 - 10/24/2010 01:56 PM - Ohad Levy
- Status changed from Feedback to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 0f77¢7f285a0bb37e2679206b699d7¢245782f9.

#14 - 10/24/2010 01:59 PM - Ohad Levy
- Status changed from Ready For Testing to Closed

Files
0001-Fixes-178-Automate-populating-the-TFTP-directory.patch 8.77 KB 10/17/2010 Ohad Levy
0001-Added-support-for-Debian-based-distributions-for-aut.patch 3.66 KB 10/17/2010 Jochen Schalanda
